# vim: set ft=spec: -*- rpm-spec -*-
# $Id: scummvm,v 1.7 2005/03/29 08:07:14 raorn Exp $

%define name scummvm
%define version 0.7.1
#define cvsdate 20040223
%define buildver 1

%define release alt%buildver

Name: %name
Version: %version
Release: %release

Summary: SCUMM graphic adventure game interpreter
Group: Games/Adventure
License: GPL
Url: http://www.scummvm.org

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: %name-%version.tar.bz2
%endif

# Automatically added by buildreq on Fri Dec 24 2004
BuildRequires: gcc-c++ libSDL-devel libalsa-devel libflac-devel libmad-devel libmpeg2-devel libogg-devel libstdc++-devel libvorbis-devel nasm zlib-devel

%description
ScummVM is an interpreter that will play graphic adventure games written for
LucasArts' SCUMM virtual machine. It uses the SDL library for outputting
graphics.

List of supported games:
Full Throttle
Monkey Island 1
Monkey Island 2: LeChuck's revenge
The Curse of Monkey Island
Indiana Jones and the Last Crusade
Indiana Jones and the Fate of Atlantis
Sam & Max
Maniac Mansion
Day Of The Tentacle
Zak McKracken and the Alien Mindbenders
Loom
The Dig
Simon the Sorcerer 1
Simon the Sorcerer 2
Beneath a Steel Sky
Flight of the Amazon Queen
26 Humongous Entertainment titles

%prep
%ifdef cvsdate
%setup -q -n %name
%else
%setup -q
%endif

%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
./configure
%make_build

%install
%__install -m755 -D scummvm %buildroot%_bindir/scummvm
%__install -m644 -D scummvm.6 %buildroot%_man6dir/scummvm.6
%__install -m644 -D scummvm.xpm %buildroot%_datadir/pixmaps/scummvm.xpm

# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="%name" needs="X11" \
section="Games/Adventure" title="ScummVM" \
longtitle="SCUMM graphic adventure game interpreter" icon="scummvm.xpm"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%ifdef cvsdate
%doc CVS.ChangeLog
%endif
%doc README NEWS TODO
%_bindir/scummvm
%_man6dir/scummvm.6*
%_menudir/%name
%_datadir/pixmaps/scummvm.xpm

%changelog
* Tue Mar 29 2005 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt1
- [0.7.1]
- Summary/Description translations dropped (specspo migration)

* Fri Dec 24 2004 Sir Raorn <raorn@altlinux.ru> 0.7.0-alt1
- [0.7.1]
- Wrapper is no longer needed (upstram sets default save path to ~/.scummvm)

* Wed Aug 04 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1.1
- Oops! Fix %_bindir/scummvm attrs

* Tue Aug 03 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1
- [0.6.1]
- Keep save files in ~/.scummvm (Closes #3921)

* Sat Mar 27 2004 Sir Raorn <raorn@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Mon Feb 23 2004 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt2
- CVS snapshot 20040223 (0.5.7-cvs)

* Wed Aug 13 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Wed Jun 25 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon Dec 23 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.0b-alt1
- ALTLnux build

